Get a standing order
curl --request GET \
--url https://grid.squads.xyz/api/grid/v1/accounts/{address}/standing-order/{standing_order_id} \
--header 'Authorization: Bearer <token>' \
--header 'x-grid-environment: <x-grid-environment>'import requests
url = "https://grid.squads.xyz/api/grid/v1/accounts/{address}/standing-order/{standing_order_id}"
headers = {
"x-grid-environment": "<x-grid-environment>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-grid-environment': '<x-grid-environment>', Authorization: 'Bearer <token>'}
};
fetch('https://grid.squads.xyz/api/grid/v1/accounts/{address}/standing-order/{standing_order_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"amount": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"currency": "<string>",
"destinations": [
"<string>"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"next_execution_date": "2023-11-07T05:31:56Z",
"period": "<string>",
"status": "<string>",
"last_execution_date": "2023-11-07T05:31:56Z"
}standing-orders
Get a standing order
Retrieve details of a specific standing order by ID
GET
/
api
/
grid
/
v1
/
accounts
/
{address}
/
standing-order
/
{standing_order_id}
Get a standing order
Authorizations
Your Grid API key from the Grid Dashboard
Headers
Solana network environment (sandbox, devnet, mainnet)
Path Parameters
Smart account address
Standing order UUID
Response
Standing order retrieved successfully
Was this page helpful?
⌘I